Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 664557 - pulp-admin repo delete_errata --help typo
Summary: pulp-admin repo delete_errata --help typo
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Pulp
Classification: Retired
Component: z_other
Version: unspecified
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: ---
Assignee: Pradeep Kilambi
QA Contact: Preethi Thomas
URL:
Whiteboard:
Depends On:
Blocks: verified-to-close
TreeView+ depends on / blocked
 
Reported: 2010-12-20 19:04 UTC by Preethi Thomas
Modified: 2011-08-16 14:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-16 14:00:53 UTC


Attachments (Terms of Use)

Description Preethi Thomas 2010-12-20 19:04:18 UTC
Description of problem:


[root@preethi ~]#  pulp-admin repo delete_errata --help
Usage: pulp-admin <options> repo delete_errata <options>

Options:
  -h, --help            show this help message and exit
  --id=ID               repository id (required)
  -e ERRATAID, --errata=ERRATAID
                        Errata Id to delete to this repository




see -e  Errata Id to delete to this repository it should be 

 Errata Id to delete from this repository

Comment 1 Preethi Thomas 2010-12-20 19:11:33 UTC
also see the successful message


Successfully removed Errata ['FEDORA-2010-17825', 'FEDORA-2010-16730'] to repo [f14-update-clone].

Comment 2 Preethi Thomas 2010-12-20 21:33:47 UTC
also see


[root@preethi ~]# pulp-admin repo --help


	delete_package Remove specific package(s) from the source repository.
	
	delete_errata  Remove specific errata from the source repository


those needs to be changed to

Remove x from the  repo

Comment 3 Preethi Thomas 2010-12-20 22:07:17 UTC
also see the following

[root@preethi ~]#  pulp-admin repo delete_package --help
Usage: pulp-admin <options> repo delete_package <options>

Options:
  -h, --help            show this help message and exit
  --id=ID               repository id (required)
  -p PKGNAME, --package=PKGNAME
                        Package filename to remove to this repository

Comment 4 Pradeep Kilambi 2010-12-22 18:33:41 UTC
commit a38bbc7a07ff6c16c25f20bcb606301597f67233
Author: Pradeep Kilambi <pkilambi@redhat.com>
Date:   Wed Dec 22 13:33:28 2010 -0500

Comment 5 Jay Dobies 2010-12-22 20:56:34 UTC
Fixed in 0.119.

Comment 6 Preethi Thomas 2010-12-23 14:34:06 UTC
[root@pulp ~]# pulp-admin repo delete_errata --help
Usage: pulp-admin <options> repo delete_errata <options>

Options:
  -h, --help            show this help message and exit
  --id=ID               repository id (required)
  -e ERRATAID, --errata=ERRATAID
                        Errata Id to delete from this repository

[root@pulp ~]# pulp-admin repo delete_package --help
Usage: pulp-admin <options> repo delete_package <options>

Options:
  -h, --help            show this help message and exit
  --id=ID               repository id (required)
  -p PKGNAME, --package=PKGNAME
                        Package filename to remove from this repository

Comment 7 Preethi Thomas 2010-12-23 21:23:07 UTC
[root@preethi ~]# rpm -q pulp
pulp-0.0.119-1.fc14.noarch

[root@preethi ~]# pulp-admin repo delete_errata --id=f14-updates -e FEDORA-2010-18765
Successfully removed Errata ['FEDORA-2010-18765'] from repo [f14-updates].

Comment 8 Preethi Thomas 2011-08-16 14:00:53 UTC
Closing with Community Release 15

pulp-0.0.223-4.


Note You need to log in before you can comment on or make changes to this bug.